【Ubuntu 14.04 LTS】Android sdk をインストールする

スポンサーリンク

Android studio でまとめ SDK もインストールする

Ubuntu 14.04 にAndrodi studio とAndrodi SDK (Android studio にバンドルされているヤツ)

を導入します。

【参照】64bit Ubuntu 14.04, running 32bit binaries

2014年5月18日更新(なんかインストール後も上手く動かなかったんですが、修正)

あれ。ちょっとなんか変だな・・・。2014年5月18日修正済み

Androdi studio 基本的な手順は過去に紹介した手順で良いのですが、いまいち変なところが・・・。

32bit 関連のファイルを追加するときに以前とは少し違う?方法で32bit 関連のファイルを追加します。

一連の流れは、以下のとおり。

  1. Android studio をダウンロードしてくる
  2. JAVA をインストールする。
  3. sudo add-apt-repository ppa:webupd8team/java
    sudo apt-get update
    sudo apt-get install oracle-java8-installer
    
  4. adb を実行できるようにする
  5. 以前は、「ia32-libs」を使用していたのですが、Ubuntu 14.04 では使えない。

    sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0

    こちらの対応ではダメ?っぽいので以下で再対応(2014年5月18日)

    こちらで代替。

    sudo dpkg --add-architecture i386
    sudo apt-get update
    sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386
    
  6. g++-multilib をインストール
  7. sudo apt-get install g++-multilib

    これは必要なさそう

  8. build-essential をインストール
  9. sudo apt-get install build-essential

    これも必要なさそう

という手順です。

これで一旦動くようになったんですが、なんかエラーは出てるわ、root にならないと ddms のスクリーンキャプチャが撮れないなど、これまでとだいぶ挙動が違う環境が出来上がります。

上記の状況は回避。普通に使えてます。

とりあえず、出現しているエラー。

(DDMS:4411): GLib-GObject-CRITICAL **: g_closure_add_invalidate_notifier: assertion 'closure->n_inotifiers < CLOSURE_MAX_N_INOTIFIERS' failed

こちらのエラーも出現しません。(2014年5月18日現在)

これはまだ使えないのかな・・・?

という感じです。

5月18日追記:というか、自分の対応が間違ってました。

いくつか思い当たる手立てを試してみましたが、基本エラーを解消するには至らず・・・。

ちょっと怖いので一旦、静観。

何か情報をお持ちの方は、ぜひ教えていただければと思います・・・。

現状、問題なく動作中。

とりあえず、良かった。

スポンサーリンク

シェアする

フォローする

スポンサーリンク